#if defined _unloze_ForumIntegration_Included
	#endinput
#endif
#define _unloze_ForumIntegration_Included

typeset HasSteamIDReservedSlotCallback
{
	function void (const char[] sSteam32ID, int Result);
	function void (const char[] sSteam32ID, int Result, any Data);
};

native void HasSteamIDReservedSlot(const char[] sSteam32ID, HasSteamIDReservedSlotCallback Callback, any Data = 0);

public SharedPlugin __pl_unloze_ForumIntegration =
{
	name = "UNLOZE Forum Integration",
	file = "unloze_ForumIntegration.smx",
#if defined REQUIRE_PLUGIN
	required = 1,
#else
	required = 0,
#endif
};

#if !defined REQUIRE_PLUGIN
public __pl_UNLOZE Forum Integration_SetNTVOptional()
{
	MarkNativeAsOptional("HasSteamIDReservedSlot");
}
#endif